Skip to main content
GET
/
v1
/
worlds
List API-generated worlds
curl --request GET \
  --url https://api.mint.gg/v1/worlds \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mint.gg/v1/worlds"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mint.gg/v1/worlds', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "object": "<unknown>",
      "id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "operation": {
        "workflowStage": "<string>",
        "lastError": "<string>"
      },
      "mintUrl": "<string>",
      "assets": {
        "caption": "<string>",
        "colliderMeshUrl": "<string>",
        "panoUrl": "<string>",
        "previewImageUrl": "<string>",
        "radUrl": "<string>",
        "spzUrls": {},
        "thumbnailUrl": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "hasMore": true
  }
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>"
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>"
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>"
}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>"
}

Authorizations

Authorization
string
header
required

Mint API key sent as a Bearer token.

Query Parameters

limit
integer
default:20

Maximum number of resources to return.

Required range: 1 <= x <= 100
cursor
string

Cursor returned from the previous page's pagination.nextCursor.

Response

Paginated worlds generated by the authenticated API project.

data
object[]
required
pagination
object
required